Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(7)

Issue 1988553002: Android omnibox: Force paragraph direction to LTR. (Closed)

Created:
3 years, 7 months ago by Matt Giuca
Modified:
3 years, 6 months ago
Reviewers:
Ted C
CC:
chromium-reviews, chrome-apps-syd-reviews_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Android omnibox: Force paragraph direction to LTR. This means that URLs will always be displayed in a left-to-right context. Right-to-left runs are still rendered as RTL, but will not cause the whole URL to flip around. This fixes several spoofing concerns and makes Android's omnibox consistent with the Views omnibox. BUG=609680 Committed: https://crrev.com/3bd33fee094e863e5496ac24714c558bd58d28ef Cr-Commit-Position: refs/heads/master@{#400359}

Patch Set 1 #

Patch Set 2 : Remove obsolete test. #

Patch Set 3 : Reinstate the deleted test, but simplify it and update expectations. #

Patch Set 4 : Set alignment correctly, and URLs in SuggestionView match URL bar. #

Total comments: 4

Patch Set 5 : Rebase. #

Patch Set 6 : Set direction only when deselected. #

Patch Set 7 : Rebase. #

Patch Set 8 : Revert suggestion bar alignment changes. #

Patch Set 9 : Don't set alignment in suggestions view. #

Patch Set 10 : Use ApiCompatibilityUtils version of setTextDirection|Alignment. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+30 lines, -9 lines) Patch
M chrome/android/java/src/org/chromium/chrome/browser/omnibox/SuggestionView.java View 1 2 3 4 5 6 7 8 9 3 chunks +17 lines, -9 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/omnibox/UrlBar.java View 1 2 3 4 5 6 7 8 9 1 chunk +13 lines, -0 lines 0 comments Download

Messages

Total messages: 21 (8 generated)
Matt Giuca
See discussion on bug and https://codereview.chromium.org/1189553002 which this is modelled off. Since the URL bar ...
3 years, 7 months ago (2016-05-17 06:59:04 UTC) #3
Matt Giuca
Updated the CL to correctly set alignment and suggestions view to match. See https://crbug.com/609680#c14 for ...
3 years, 7 months ago (2016-05-17 08:13:49 UTC) #4
Ted C
Historically we've got a bunch of bugs about the split cursor, and I'm going to ...
3 years, 7 months ago (2016-05-18 17:01:01 UTC) #5
Matt Giuca
On 2016/05/18 17:01:01, Ted C wrote: > Historically we've got a bunch of bugs about ...
3 years, 7 months ago (2016-05-19 07:40:22 UTC) #6
Matt Giuca
I decided you were right. See comment on bug with attached screencasts: https://bugs.chromium.org/p/chromium/issues/detail?id=609680#c19
3 years, 6 months ago (2016-05-25 08:41:46 UTC) #7
Matt Giuca
I've uploaded the new patch set that controls those videos, but it isn't ready for ...
3 years, 6 months ago (2016-05-25 08:42:10 UTC) #8
Matt Giuca
Hi Ted, Note, I've reverted the changes to the suggestions view (since while the text ...
3 years, 6 months ago (2016-06-09 08:39:13 UTC) #10
Ted C
On 2016/06/09 08:39:13, Matt Giuca wrote: > Hi Ted, > > Note, I've reverted the ...
3 years, 6 months ago (2016-06-09 17:28:44 UTC) #11
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1988553002/200001
3 years, 6 months ago (2016-06-10 00:44:36 UTC) #13
commit-bot: I haz the power
Try jobs failed on following builders: mac_chromium_compile_dbg_ng on tryserver.chromium.mac (JOB_TIMED_OUT, no build URL) mac_chromium_gn_rel on ...
3 years, 6 months ago (2016-06-10 02:45:51 UTC) #15
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1988553002/200001
3 years, 6 months ago (2016-06-17 04:08:26 UTC) #17
commit-bot: I haz the power
Committed patchset #10 (id:200001)
3 years, 6 months ago (2016-06-17 04:54:33 UTC) #19
commit-bot: I haz the power
3 years, 6 months ago (2016-06-17 04:56:16 UTC) #21
Message was sent while issue was closed.
Patchset 10 (id:??) landed as
https://crrev.com/3bd33fee094e863e5496ac24714c558bd58d28ef
Cr-Commit-Position: refs/heads/master@{#400359}

Powered by Google App Engine
This is Rietveld 408576698